#!/bin/sh

problem=$1
proof=$2

msg () {
    echo "create_xor_proof.sh: $*"
}

if [ -z "$problem" -o "$problem" = "-h" ]; then
    msg "usage: ./create_xor_proof <problem.cnf> <proof.xor>"
    exit
fi

if [ -z "$proof" ]; then
    proof=${problem%*.}.xor
fi

if [ -f "$proof" ]; then
    msg "$proof already exists"
    exit
fi

./lingeling/lingeling \
    --no-elim --no-card --no-ternres \
    --gaussmaxor=32 --gaussmaxeff=500000000 \
    --gaussmineff=200000000 --gaussreleff=20 \
    --no-gausswait --log=2  "$problem" \
    | ./ling_to_xor.py > "$proof"

msg "created $proof"
