#!/bin/sh

msg () {
  echo "generate_proofs.sh: $*"
}

if [ ! -f ./lingeling/lingeling ]; then
    msg "Must first compile Lingeling source"
    msg "(in ./lingeling run \"./configure.sh -l && make\")"
    exit
fi

for file in ./benchmarks/*.cnf; do
    if [ -f "${file%.*}".xor ]; then
	msg "XOR proof for $file already exists"
    else
	./lingeling/lingeling \
	    --no-elim --no-card --no-ternres --gaussmaxor=32 \
	    --gaussmaxeff=500000000 --gaussmineff=200000000 \
	    --gaussreleff=20 --no-gausswait --log=2  "$file" \
	    | ./ling_to_xor.py > "${file%.*}".xor
	msg "created proof ${file%.*}.xor"
    fi
done
