#!/bin/sh

msg () {
  echo "generate_results.sh: $*"
}

if [ -f ./results.csv ]; then
    msg "./results.csv already exists"
    exit
fi

echo "Formula,nVars,nClauses,SolvingTime,ProofLines,ProofSize,CheckingTime" >> ./results.csv

for file in ./benchmarks/*.cnf; do
    if [ ! -f ${file%.*}.xor ]; then
	msg "NOT FOUND: ${file%.*}.xor"
	continue
    fi
    msg "checking ${file%.*}.xor ..."
    lingtime=$(grep "time" "${file%.*}".xor | cut -f2 -d: | xargs)
    finfo=$(grep "p cnf" "$file" | cut -f2 -df | xargs)
    prooflines=$(wc -l < "${file%.*}.xor" | xargs)
    proofsize=$(wc -c < "${file%.*}.xor" | xargs)
    result=$(./dxddcheck.py "$file" "${file%.*}".xor | grep "^s" -A1 | xargs)
    if [ "${result%%c*}" != "s VERIFIED " ]; then
	msg "NOT VERIFIED: $file"
    else
	msg "verified (${result##* } sec.)"
	echo "${file##*/},${finfo% *},${finfo#* },$lingtime,$prooflines,$proofsize,${result##* }" >> ./results.csv
    fi
done

msg "created file ./results.csv"
